package cn.com.yict.framemax.frame.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.frame.entity.LargeModelConfigEntity;
import cn.com.yict.framemax.frame.entity.TimBreEntity;

import java.util.List;

public interface LargeModelConfigService extends BaseService {

    LargeModelConfigEntity get(java.lang.Integer id) throws Exception;

    List<LargeModelConfigEntity> getAll() throws Exception;

    LargeModelConfigEntity getByParamCode(String paramCode) throws Exception;

    void deleteById(java.lang.Integer id) throws Exception;

    LargeModelConfigEntity save(LargeModelConfigEntity entity) throws Exception;

    LargeModelConfigEntity update(LargeModelConfigEntity entity) throws Exception;

    /**
     * 根绝ID音色查询音色
     *
     * @throws Exception
     */
    LargeModelConfigEntity getByTimbreId(Integer timbreId);


    /**
     * 查询音色列表
     *
     * @throws Exception
     */
    List<TimBreEntity> getTimBre() throws Exception;
}